cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc 
c Gregor von Laszewski * North East Parallel Architectures Center
c                      * Center for Computational Science, Syracuse University
c                      * 111 College Place * Syracuse, NY 13244-4100
c                      * (315) 443-4883 * gregor@npac.syr.edu 
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c July 1, 1992

      program jik_test
      
      include 'lu_const.f'

      real A(mlda,mlda)
      real LU(mlda,mlda)
      real B(mlda)

      real h
      integer ipvt (mlda),m,n,lda,info,i,BlockSize

      lda = mlda

      print *, 'lda max', mlda
      print *, ' Problem Size n = '
      read (*,*) n
      print *, ' Block Size n = '
      read (*,*) BlockSize
      m=n
      print *, n
c      call MatGen(a,lda,m,n,iseed)
      call StdProblem (A,LDA,n,n,b)
      call CopyMatrix (A,LU,n,lda)


      call PrintMatrix (A,n,n,lda,'A    ',0)
      call PrintMatrix (B,n,1,lda,'B    ', 0)
      print *, ' go'
      
      call jki_block(m,n,lu,lda,ipvt,info,BlockSize)

      call PrintMatrix (LU,n,n,lda,'LU    ', 0)
      print *
      do i=1,m
         if (i .ne. ipvt(i)) then
            h = b(i)
            b(i) = b(ipvt(i)) 
            b(ipvt(i)) = h
         end if
      end do
      call PrintMatrix (B,m,1,lda,'B           ',0)
      call strsv ('l','n','u',m,lu,lda,b,1)
      call strsv ('u','n','n',m,lu,lda,b,1)


      call PrintTIVector (ipvt,n,'Pivot    ',0)
      call PrintFMatrix (b,n,1,lda,'X    ',0)


      end

